Bug 1058448 - Qpid Dispatch build discards RPM_OPT_FLAGS
Summary: Qpid Dispatch build discards RPM_OPT_FLAGS
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-dispatch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 19:51 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-14 07:55:48 UTC


Attachments (Terms of Use)
Patch provided by ville.skytta@iki.fi (457 bytes, patch)
2014-01-27 19:51 UTC, Darryl L. Pierce
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5517 None None None Never

Description Darryl L. Pierce 2014-01-27 19:51:35 UTC
Created attachment 856248 [details]
Patch provided by ville.skytta@iki.fi

Don't discard user CFLAGS, append to them instead

Package is not built with $RPM_OPT_FLAGS. Fix attached, please apply upstream as well.

Honoring proper Fedora CFLAGS causes a build failure due to -Werror being used so additional fixing will be required:

[...]/server_test.c: In function 'ufd_handler':
[...]/server_test.c:99:18: error: ignoring return value of 'write', declared with attribute warn_unused_result [-Werror=unused-result]
             write(fd[1], "X", 1);

Comment 1 Fedora Update System 2014-01-30 20:27:47 UTC
qpid-dispatch-0.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.1-3.fc20

Comment 2 Fedora Update System 2014-01-30 20:37:24 UTC
qpid-dispatch-0.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.1-3.fc19

Comment 3 Fedora Update System 2014-01-30 20:43:24 UTC
qpid-dispatch-0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.1-3.el6

Comment 4 Fedora Update System 2014-01-31 20:10:52 UTC
Package qpid-dispatch-0.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qpid-dispatch-0.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0422/qpid-dispatch-0.1-3.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-02-05 15:26:11 UTC
qpid-dispatch-0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.1-4.fc20

Comment 6 Fedora Update System 2014-02-05 15:41:37 UTC
qpid-dispatch-0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-dispatch-0.1-4.fc19

Comment 7 Fedora Update System 2014-02-14 07:55:48 UTC
qpid-dispatch-0.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-02-14 07:57:38 UTC
qpid-dispatch-0.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-02-18 22:59:16 UTC
qpid-dispatch-0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.